<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.IstruzioniEstrazioneDistinteBanca" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="IstruzioniEstrazioneDistinteBanca">
        <id name="id" type="java.lang.Integer">
            <column name="ID"/>
            <generator class="identity"/>
        </id>
        <property generated="never" lazy="false" name="idpianoEstrazione" optimistic-lock="true" type="int" unique="false">
            <column name="IDPianoEstrazione" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="rowNumber" optimistic-lock="true" type="int" unique="false">
            <column name="RowNumber" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="tipologia" optimistic-lock="true" type="string" unique="false">
            <column length="30" name="Tipologia"/>
        </property>
        <property generated="never" lazy="false" name="tipoDisposizione" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="TipoDisposizione"/>
        </property>
        <property generated="never" lazy="false" name="provenienza" optimistic-lock="true" type="string" unique="false">
            <column length="30" name="Provenienza"/>
        </property>
        <property generated="never" lazy="false" name="funzioneOrdinante" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="FunzioneOrdinante"/>
        </property>
        <property generated="never" lazy="false" name="signRangeImportoDa" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SignRangeImportoDa"/>
        </property>
        <property generated="never" lazy="false" name="rangeImportoDa" optimistic-lock="true" type="java.lang.Double" unique="false">
            <column name="RangeImportoDa" precision="53" scale="0"/>
        </property>
        <property generated="never" lazy="false" name="signRangeImportoA" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SignRangeImportoA"/>
        </property>
        <property generated="never" lazy="false" name="rangeImportoA" optimistic-lock="true" type="java.lang.Double" unique="false">
            <column name="RangeImportoA" precision="53" scale="0"/>
        </property>
        <property generated="never" lazy="false" name="importoLimiteDistinta" optimistic-lock="true" type="java.lang.Double" unique="false">
            <column name="ImportoLimiteDistinta" precision="53" scale="0"/>
        </property>
        <property generated="never" lazy="false" name="maxNumberDisposizioni" optimistic-lock="true" type="string" unique="false">
            <column length="10" name="MaxNumberDisposizioni"/>
        </property>
        <property generated="never" lazy="false" name="searchBancaOrdinanteStep1" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SearchBancaOrdinanteStep1"/>
        </property>
        <property generated="never" lazy="false" name="searchBancaOrdinanteStep2" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SearchBancaOrdinanteStep2"/>
        </property>
        <property generated="never" lazy="false" name="searchBancaOrdinanteStep3" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SearchBancaOrdinanteStep3"/>
        </property>
        <property generated="never" lazy="false" name="searchBancaOrdinanteStep4" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SearchBancaOrdinanteStep4"/>
        </property>
        <property generated="never" lazy="false" name="searchBancaOrdinanteStep5" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SearchBancaOrdinanteStep5"/>
        </property>
        <property generated="never" lazy="false" name="searchBancaOrdinanteStep6" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SearchBancaOrdinanteStep6"/>
        </property>
        <property generated="never" lazy="false" name="searchBancaOrdinanteStep7" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SearchBancaOrdinanteStep7"/>
        </property>
        <property generated="never" lazy="false" name="searchBancaOrdinanteStep8" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SearchBancaOrdinanteStep8"/>
        </property>
        <property generated="never" lazy="false" name="searchBancaOrdinanteStep9" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SearchBancaOrdinanteStep9"/>
        </property>
        <property generated="never" lazy="false" name="searchBancaOrdinanteStep10" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="SearchBancaOrdinanteStep10"/>
        </property>
        <property generated="never" lazy="false" name="lastSaved" optimistic-lock="true" type="binary" unique="false">
            <column name="LastSaved"/>
        </property>
    </class>
</hibernate-mapping>
